Supported Browsers

Our web tools have dropped support for older browser versions as of 1-April-2018

Please note that our web tools will only support browsers that meet current security standards.

To access the web tool, please make sure you are using a modern browser, such as:

  • Internet Explorer 11
  • Microsoft Edge on Windows 10
  • Firefox 27 or greater
  • Google Chrome 30 or greater
  • Safari 7 or greater on MacOS & Safari 5 or greater on iOS
Have more questions? Submit a request

0 Comments

Article is closed for comments.
Powered by Zendesk